cmdargs

System.Console.CmdArgs.Explicit.SplitJoin

Synopsis

- splitArgs :: String -> [String]
- joinArgs :: [String] -> String

# Documentation

splitArgs :: String -> [String]

Given a string, split into the available arguments. The inverse of `joinArgs`.

joinArgs :: [String] -> String

Given a sequence of arguments, join them together in a manner that could be used on the command line, giving preference to the Windows `cmd` shell quoting conventions.

For an alternative version, intended for actual running the result in a shell, see System.Process.showCommandForUser